For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList agent branches
        • POSTCreate agent branch
        • GETGet agent branch
        • PATCHUpdate agent branch
        • POSTMerge agent branch
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsBranches

Merge agent branch

POST
/v1/convai/agents/:agent_id/branches/:source_branch_id/merge
POST
/v1/convai/agents/:agent_id/branches/:source_branch_id/merge
$curl -X POST "https://api.elevenlabs.io/v1/convai/agents/agent_id/branches/source_branch_id/merge?target_branch_id=target_branch_id" \
> -H "Content-Type: application/json" \
> -d '{}'
Merge a branch into a target branch
Was this page helpful?
Previous

Create deployment

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
source_branch_idstringRequired
Unique identifier for the source branch to merge from.

Headers

xi-api-keystringOptional

Query parameters

target_branch_idstringRequired
The ID of the target branch to merge into.

Request

This endpoint expects an object.
archive_source_branchbooleanOptionalDefaults to true
Whether to archive the source branch after merging
forcebooleanOptionalDefaults to false

Force source branch changes onto the target, overriding timestamp-based conflict resolution

Response

Successful Response

Errors

422
Unprocessable Entity Error